Bug 758897

Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Product: [Fedora] Fedora Reporter: Eric Blake <eblake>
Component: libvirtAssignee: Libvirt Maintainers <libvirt-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 15CC: aquini, berrange, clalance, clalancette, crobinso, dougsland, eblake, itamar, jforbes, laine, libvirt-maint, lpoetter, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 656611 Environment:
Last Closed: 2012-06-06 19:59:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 656611    
Bug Blocks: 827166, 758896    

Description Eric Blake 2011-11-30 17:41:17 EST
Cloning to F15.

+++ This bug was initially created as a clone of Bug #656611 +++

Your package libvirt appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

--- Additional comment from fedora-admin-xmlrpc@redhat.com on 2011-09-22 11:49:46 MDT ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from fedora-admin-xmlrpc@redhat.com on 2011-09-22 11:52:43 MDT ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from fedora-admin-xmlrpc@redhat.com on 2011-09-22 11:57:59 MDT ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from fedora-admin-xmlrpc@redhat.com on 2011-11-30 12:30:26 MST ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from fedora-admin-xmlrpc@redhat.com on 2011-11-30 12:34:07 MST ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from fedora-admin-xmlrpc@redhat.com on 2011-11-30 12:40:32 MST ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from fedora-admin-xmlrpc@redhat.com on 2011-11-30 12:51:43 MST ---

This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

--- Additional comment from eblake@redhat.com on 2011-11-30 15:35:46 MST ---

Upstream patch proposed:
https://www.redhat.com/archives/libvir-list/2011-November/msg01840.html
Comment 1 Eric Blake 2011-12-01 13:09:00 EST
The next build for F15 needs to backport this spec file change:

commit 764574f7c73d72e42f69f225b6bbe61fae5ab28b
Author: Eric Blake <eblake@redhat.com>
Date:   Wed Nov 30 15:34:42 2011 -0700

    spec: mark directories in /var/run as ghosts
Comment 2 Cole Robinson 2012-06-06 19:59:39 EDT
Given that F15 is EOL in a matter of weeks, and we've lived this long without it, I'm just closing this WONTFIX. If anyone is in particular need of this fix, please holler.